package com.tongran.rocketmq.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.tongran.common.core.annotation.Excel;
import com.tongran.common.core.web.domain.BaseEntity;

/**
 * tcpdump探测策略对象 rm_tcpdump_config
 * 
 * @author tongran
 * @date 2026-01-21
 */
public class RmTcpdumpConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 客户端ID */
    @Excel(name = "客户端ID")
    private String clientId;

    /** 开启探测(0:否,1:是) */
    @Excel(name = "开启探测(0:否,1:是)")
    private Integer detectFlag;

    /** 探测频率 */
    @Excel(name = "探测频率")
    private String frequency;

    /** 探测时间列表(多个时间用;分隔) */
    @Excel(name = "探测时间列表(多个时间用;分隔)")
    private String detectTimes;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setClientId(String clientId) 
    {
        this.clientId = clientId;
    }

    public String getClientId() 
    {
        return clientId;
    }

    public void setDetectFlag(Integer detectFlag) 
    {
        this.detectFlag = detectFlag;
    }

    public Integer getDetectFlag() 
    {
        return detectFlag;
    }

    public void setFrequency(String frequency) 
    {
        this.frequency = frequency;
    }

    public String getFrequency() 
    {
        return frequency;
    }

    public void setDetectTimes(String detectTimes) 
    {
        this.detectTimes = detectTimes;
    }

    public String getDetectTimes() 
    {
        return detectTimes;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("clientId", getClientId())
            .append("detectFlag", getDetectFlag())
            .append("frequency", getFrequency())
            .append("detectTimes", getDetectTimes())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("createBy", getCreateBy())
            .append("updateBy", getUpdateBy())
            .toString();
    }
}
